## ubair 1.1.0

**Initial CRAN Submission**\
**Public Release**

-   First public release of `ubair` on CRAN.
-   Previous internal versions (pre-CRAN) were used privately or shared within a specific group.
-   The package is intended for use with air quality station measurement data. These can be obtained for Germany via [Air Quality Data API (UBA)](https://www.umweltbundesamt.de/daten/luft/luftdaten/doc) or per request to immission@uba.de
-   Includes the following features:
    -   **Counterfactual analysis**: Apply counterfactual analysis to assess external effects on air quality based on meteorological data, with support for four models: LightGBM, Random Forest, Feedforward Neural Network, and Dynamic Regression.
    -   **Data detrending and retrending**: Enable users to remove and reintroduce trends in data as needed.
    -   **Visualization and evaluation**: Provide tools for visualizing and evaluating the results of counterfactual analyses.
    -   **Data preprocessing**: Preprocess data to prepare it for counterfactual analysis.
