# workaround to prerun the vignettes, for details see
# (https://ropensci.org/blog/2019/12/08/precompute-vignettes/)
# this workaround is required as the data is not contained in the package
# the neun_euro_ticket_demonstrator sample works as a 'real' vignette that is
# build during package build

# user-sample_2 has a long runtime (several minutes)
# after running this script check the generated Rmd files content
if (basename(getwd()) != "vignettes") {
  setwd("./vignettes/") # to fix figure path issues in Rmd
}
knitr::knit("user_sample_1.Rmd.orig",
  output = "user_sample_1.Rmd"
)
knitr::knit("user_sample_2.Rmd.orig",
  output = "user_sample_2.Rmd"
)
knitr::knit("user_sample_3.Rmd.orig",
  output = "user_sample_3.Rmd"
)
